> For the complete documentation index, see [llms.txt](https://docs.stylemixthemes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stylemixthemes.com/consulting-theme-documentation/content/demo-forms.md).

# Demo Forms

You can add a contact (feedback) form to your website using codes of our demo forms listed below.

You can see our demo forms on our [live demo site.](https://stylemixthemes.com/consulting/)

All our contact forms are created using the [Contact Forms 7 plugin.](https://wordpress.org/plugins/contact-form-7/)

## Contact Form 1

![](https://353263333-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MDPE9netawUH7O_3vVu%2Fuploads%2FcX1CJvQJz3i2wwwqfxaU%2Fcontact_1.png?alt=media\&token=e82c0fd5-3383-4fbb-91e3-1073645a58e3)

```html
<div class="request_callback">
    <div class="row">
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                [text* text-name placeholder akismet:author "First name *"]
            </div>
            <div class="input-group">
                [email* email placeholder akismet:author_email "E-mail *"]
            </div>
            <div class="input-group">
                [tel* phone placeholder "Phone *"]
            </div>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                [textarea* message placeholder "Your Message *"]
            </div>
            <div class="input-group">
                <button type="submit" class="button size-md icon_right">submit <i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
```

## Contact Form 2

![](https://353263333-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MDPE9netawUH7O_3vVu%2Fuploads%2FReIzYUt5cYcCKQ8TJl2Y%2Fcontact_2.png?alt=media\&token=47c1028f-0aa2-4674-b99a-32e4b6c1e45e)

```html
<div class="request_callback">
    <div class="row">
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                [text* text-name placeholder akismet:author "First name *"]
            </div>
            <div class="input-group">
                [text title placeholder akismet:author_title "Title"]
            </div>
            <div class="input-group">
                [text company placeholder akismet:author_company "Company/Position"]
            </div>
            <div class="input-group">
                [email* email placeholder akismet:author_email "E-mail *"]
            </div>
            <div class="input-group">
                [select* menu-774 first_as_label "Reason for Contact *" "Value1" "Value2"]
            </div>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                [select* menu-363 first_as_label "Area of Interest *" "Value1" "Value2"]
            </div>
            <div class="input-group">
                [text* subject placeholder akismet:author_subject "Subject *"]
            </div>
            <div class="input-group">
                [textarea* message placeholder "Your Message *"]
            </div>
            <div class="input-group">
                <button type="submit" class="button size-md icon_right">submit <i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
```

## Contact Form 3

![](https://353263333-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MDPE9netawUH7O_3vVu%2Fuploads%2FQCKVn1k9JsEu0cr3xwTH%2Fcontact_3.png?alt=media\&token=ee162088-c1a8-45ae-81f5-4dd2ca0c4aec)

```html
<div class="request_callback">
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="input-group">
                [textarea* message placeholder "Your Message *"]
            </div>
        </div>
        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
            <div class="input-group">
                [text* text-name placeholder akismet:author "First name *"]
            </div>
        </div>
        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
            <div class="input-group">
                [email* email placeholder akismet:author_email "E-mail *"]
            </div>
        </div>
        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
            <div class="input-group">
                [text* subject placeholder "Subject *"]
            </div>
        </div>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="input-group">
                <button type="submit" class="button size-md icon_right">submit <i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
```

## Contact Form 4

![](https://353263333-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MDPE9netawUH7O_3vVu%2Fuploads%2FXPsi8PCLRlSiMy9ac2yJ%2Fcontact_4.png?alt=media\&token=28adfa17-f5b6-430e-9e77-fb1a4bd82f6f)

```html
<div class="request_callback">
    <div class="row">
        <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
            <div class="input-group">
                [textarea* message class:height205 placeholder "Your Message *"]
            </div>
        </div>
        <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
            <div class="input-group">
                [text* text-name placeholder akismet:author "First name *"]
            </div>
            <div class="input-group">
                [email* email placeholder akismet:author_email "E-mail *"]
            </div>
            <div class="input-group">
                [select* menu-774 first_as_label "Reason for Contact *" "Value1" "Value2"]
            </div>
        </div>
        <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
            <div class="input-group">
                [select* menu-363 first_as_label "Area of Interest *" "Value1" "Value2"]
            </div>
            <div class="input-group">
                [text* subject placeholder akismet:author_subject "Subject *"]
            </div>
            <div class="input-group">
                <button type="submit" class="button size-md icon_right">submit <i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
```

## Contact Form 5

![](https://353263333-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MDPE9netawUH7O_3vVu%2Fuploads%2FYBIpfLaVHUUloDUWODNH%2Fcontact_5.png?alt=media\&token=e4bbff23-ce8d-4ece-9384-b4ed9a492e90)

```html
<div class="request_callback">
        <div class="input-group">
            [textarea* message class:height147 placeholder "Your Message *"]
        </div>
        <div class="input-group">
            [text* text-name placeholder akismet:author "First name *"]
        </div>
        <div class="input-group">
            [email* email placeholder akismet:author_email "E-mail *"]
        </div>
        <div class="input-group">
            [select* menu-774 first_as_label "Reason for Contact *" "Value1" "Value2"]
        </div>
        <div class="input-group">
            [select* menu-363 first_as_label "Area of Interest *" "Value1" "Value2"]
        </div>
        <div class="input-group">
            [text* subject placeholder akismet:author_subject "Subject *"]
        </div>
        <div class="input-group">
            <button type="submit" class="button size-md icon_right">submit <i class="fa fa-chevron-right"></i></button>
        </div>
</div>
```

## Contact Form 6

![](https://353263333-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MDPE9netawUH7O_3vVu%2Fuploads%2FDMzVFqT1b1RrCFpWzGE5%2Fcontact_6.png?alt=media\&token=9a7d384f-5703-48a5-a271-9d08e8804122)

```html
<div class="request_callback_form manchester_contact_form light-mode">
    <div class="request_callback">
        <span class="stm-contact-message"></span>
        <div class="row">
            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                <div class="input-group">
                    <label>[text* text-name placeholder akismet:author "Your name"]<span class="form-icons stm-ankara-user"></span></label>
                </div>
            </div>
            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                <div class="input-group">
                    <label>[text* text-company placeholder "Company name"]<span class="form-icons stm-briefcase"></span></label>
                </div>
            </div>
            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                <div class="input-group">
                    <label>[email* email-609 akismet:author_email placeholder "E-mail"]<span class="form-icons stm-email2"></span></label>
                </div>
            </div>
            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                <div class="input-group">
                    [select menu-233 "I would like to discuss" "Value 1" "Value 2"]
                </div>
            </div>
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="input-group">
                    [textarea textarea-488 placeholder "Message"]
                </div>
            </div>
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="input-group">
                    <button type="submit" class="vc_general vc_btn3 vc_btn3-size-md vc_btn3-shape-rounded vc_btn3-style-flat vc_btn3-color-theme_style_2">SUBMIT</button>
                </div>
            </div>
        </div>
    </div>
</div>
```

## Contact Form 7

![](https://353263333-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MDPE9netawUH7O_3vVu%2Fuploads%2FoCHddImz1N00b6conjdh%2Fcontact_7.png?alt=media\&token=2f4fd736-92a4-4cc5-bced-50ca50fadd68)

```html
<div class="member_feedback">
    <div class="row">
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                [text* text-name placeholder akismet:author "First Name"]
            </div>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                [text* text-name2 placeholder akismet:author "Last Name"]
            </div>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                [email* text-email placeholder akismet:author_email "E-mail"]
            </div>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                [tel text-phone placeholder "Phone Number"]
            </div>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                [text* text-city placeholder "City"]
            </div>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                [select text-state first_as_label "Select State (USA only)" "Value 1" "Value 2"]
            </div>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                [select text-country first_as_label "Country" "Value 1" "Value 2"]
            </div>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                <button type="submit" class="button size-lg icon_left"><i class="fa fa-chevron-right"></i> submit</button>
            </div>
        </div>
    </div>
</div>
```

## Contact Form 8

![](https://353263333-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MDPE9netawUH7O_3vVu%2Fuploads%2FCzlNrfn3m3vBQg6uX25Z%2Fcontact_8.png?alt=media\&token=c286f912-e8f4-4961-a3bf-e621fc73fe89)

```html
<div class="request_callback">
    <p>I would like to discuss:</p>
    <div class="row">
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                [select services_consulting first_as_label "Business Planning" "Audit & Assurance" "Strategic Planning" "Trades & Stocks" "Financial Projections"]
            </div>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                [text* text-name placeholder akismet:author "First name"]
            </div>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                [tel* text-phone placeholder "Phone number"]
            </div>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="input-group">
                <button type="submit" class="button size-lg icon_right">submit <i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.stylemixthemes.com/consulting-theme-documentation/content/demo-forms.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
